---
title: "Uses"
description: "Just a big page describing what I use that I think is notable"
date: 2021-08-18T22:57:48-04:00
---

This is just a simple page detailing some of the important tools I use
for those that may be interested! See [uses.tech](https://uses.tech/)
for similar pages on other individuals' websites.

## Hardware

### Desktop
I built my PC over the summer of 2019, *before* all of the component
prices shot up during the pandemic. If I was attempting to build this
now, I would have ended up with a significantly less powerful machine.

- **Webcam:** Logitech Brio
- **Microphone:** Røde Podcaster
- **CPU:** AMD Ryzen 7 2700
- **GPU:** MSI Radeon RX 5700XT OC
- **RAM:** G.Skill Ripjaws V Series 32 GB DDR4-3200
- **Keyboard:** Ergodox-EZ
- **Mouse:** Logitech MX Master 3
- **Monitor:** Gigabyte AORUS FI27Q-SA 27"
- **Operating System:** Arch Linux
- **Window Manager:** i3

I also have Windows installed for the odd game or two that won't run in
Proton; it's really nothing more than a gaming console for me.

### Laptop
My university scholarship paid for most of my current laptop but a
stipulation was that the device had to be new. I really wanted an old
Thinkpad that would have cost maybe $200-$300 after repairs and upgrades
but it would definitely not have been new. Instead, I found a
[refurbished Thinkpad X200](https://store.vikings.net/x200-ryf-certfied)
from [Vikings.](https://store.vikings.net/) Because they rebrand the
device on receipts, I was able to make the purchase and get a fully free
laptop with no binary blobs whatsoever. Because it's running Libreboot,
I'm even able to encrypt the boot partition so "full-disk encryption"
really does apply to *the full disk*.

### Other devices
I seem to have a thing for eink devices. A [Kobo Aura ONE Limited
Edition](https://us.kobobooks.com/collections/auraone-related/products/kobo-aura-one-limited-edition)
regularly finds itself in my hands when reading manga or graphic novels.
A [Kobo Clara
HD](https://kobobooks.com/collections/certified-refurbished-ereaders/products/certified-refurbished-kobo-clara-hd)
is usually used for all of my regular reading but becomes my daily
driver whenever I'm out somewhere or on a trip.

I also have a [Supernote
A5X](https://supernote.com/#/product?type=SN-A5-X) and have to say that
this is a *wonderful* device. Once it's finished, I'll link to my blog
post about it. For now, I'll just say that it sits on the corner of my
desk any time I'm home and can usually be found in my left hand whenever
I'm not.

## General software
As for more general software, I'll only mention things I feel are
particularly notable.

My personal operating system of choice is [Arch
Linux](https://archlinux.org/) because it's very easy to work with,
simple, and incredibly up-to-date. I've used it since somewhere around
2017 or 2018. On servers, I like sticking with
[Debian](https://www.debian.org/) wherever possible. It's a fantastic
and very widely supported distribution for pretty much anything. I would
eventually like to get involved with the project but my free time is
pretty limited at the moment.

My email setup is a little cursed but I use
[mbsync](https://isync.sourceforge.io/mbsync.html) for synchronising
IMAP server with my local Maildir, [NeoMutt](https://neomutt.org/) for
interacting with those emails, [GNU
Emacs](https://www.gnu.org/software/emacs/) for composing mail, and
[msmtp](https://marlam.de/msmtp/) for relaying those compositions to my
[Postfix](http://www.postfix.org/) [SMTP server](https://nixnet.email/)
before sending them on their way to the recipient. Blog post about all
this coming soon™.

My browser of choice is [Mozilla
Firefox.](https://www.mozilla.org/en-US/firefox/new/) I don't like the
company and the browser is slowly becoming worse and worse for the
average user but at least it's not Google and it's not contributing to
their total domination over web rendering :^)

Nextcloud also finds itself a home on my homeserver. As much as it's a
bloated pile of PHP that does a sub-par job at everything it attempts,
it does a good enough job to make life convenient. I mainly use its file
syncing, calendar, contacts, and sometimes music features.

I also use a lot of the stuff a friend and I run over at
[NixNet.](https://nixnet.services/) In particular, I probably I use
email, XMPP, BigBlueButton, HedgeDoc, Mumble, and wallabag every day.

*I use every open source messaging service known to man. Please send
help.*
